<?php



$tdataresumo_movimentos = array();
$tdataresumo_movimentos[".searchableFields"] = array();
$tdataresumo_movimentos[".ShortName"] = "resumo_movimentos";
$tdataresumo_movimentos[".OwnerID"] = "";
$tdataresumo_movimentos[".OriginalTable"] = "tb_cbanc_movimentos";


$tdataresumo_movimentos[".pagesByType"] = my_json_decode( "{\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdataresumo_movimentos[".originalPagesByType"] = $tdataresumo_movimentos[".pagesByType"];
$tdataresumo_movimentos[".pages"] = types2pages( my_json_decode( "{\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdataresumo_movimentos[".originalPages"] = $tdataresumo_movimentos[".pages"];
$tdataresumo_movimentos[".defaultPages"] = my_json_decode( "{\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdataresumo_movimentos[".originalDefaultPages"] = $tdataresumo_movimentos[".defaultPages"];

//	field labels
$fieldLabelsresumo_movimentos = array();
$fieldToolTipsresumo_movimentos = array();
$pageTitlesresumo_movimentos = array();
$placeHoldersresumo_movimentos = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsresumo_movimentos["English"] = array();
	$fieldToolTipsresumo_movimentos["English"] = array();
	$placeHoldersresumo_movimentos["English"] = array();
	$pageTitlesresumo_movimentos["English"] = array();
	$fieldLabelsresumo_movimentos["English"]["entradaID"] = "Entrada ID";
	$fieldToolTipsresumo_movimentos["English"]["entradaID"] = "";
	$placeHoldersresumo_movimentos["English"]["entradaID"] = "";
	$fieldLabelsresumo_movimentos["English"]["cbancID"] = "Cbanc ID";
	$fieldToolTipsresumo_movimentos["English"]["cbancID"] = "";
	$placeHoldersresumo_movimentos["English"]["cbancID"] = "";
	$fieldLabelsresumo_movimentos["English"]["tipo_lanc"] = "Tipo Lançamento ";
	$fieldToolTipsresumo_movimentos["English"]["tipo_lanc"] = "";
	$placeHoldersresumo_movimentos["English"]["tipo_lanc"] = "";
	$fieldLabelsresumo_movimentos["English"]["origem"] = "Origem";
	$fieldToolTipsresumo_movimentos["English"]["origem"] = "";
	$placeHoldersresumo_movimentos["English"]["origem"] = "";
	$fieldLabelsresumo_movimentos["English"]["valor"] = "Valor";
	$fieldToolTipsresumo_movimentos["English"]["valor"] = "";
	$placeHoldersresumo_movimentos["English"]["valor"] = "";
	$fieldLabelsresumo_movimentos["English"]["observacao"] = "Observação ";
	$fieldToolTipsresumo_movimentos["English"]["observacao"] = "";
	$placeHoldersresumo_movimentos["English"]["observacao"] = "";
	$fieldLabelsresumo_movimentos["English"]["doc"] = "Doc. digital";
	$fieldToolTipsresumo_movimentos["English"]["doc"] = "";
	$placeHoldersresumo_movimentos["English"]["doc"] = "";
	$fieldLabelsresumo_movimentos["English"]["incluir"] = "Incluir";
	$fieldToolTipsresumo_movimentos["English"]["incluir"] = "";
	$placeHoldersresumo_movimentos["English"]["incluir"] = "";
	$fieldLabelsresumo_movimentos["English"]["data"] = "Data";
	$fieldToolTipsresumo_movimentos["English"]["data"] = "";
	$placeHoldersresumo_movimentos["English"]["data"] = "";
	$fieldLabelsresumo_movimentos["English"]["reembolsar"] = "Reembolsar";
	$fieldToolTipsresumo_movimentos["English"]["reembolsar"] = "";
	$placeHoldersresumo_movimentos["English"]["reembolsar"] = "";
	$fieldLabelsresumo_movimentos["English"]["credor"] = "Credor";
	$fieldToolTipsresumo_movimentos["English"]["credor"] = "";
	$placeHoldersresumo_movimentos["English"]["credor"] = "";
	$fieldLabelsresumo_movimentos["English"]["status_reemb"] = "Status Reembolso";
	$fieldToolTipsresumo_movimentos["English"]["status_reemb"] = "";
	$placeHoldersresumo_movimentos["English"]["status_reemb"] = "";
	$fieldLabelsresumo_movimentos["English"]["Reembolso"] = "Reembolso";
	$fieldToolTipsresumo_movimentos["English"]["Reembolso"] = "";
	$placeHoldersresumo_movimentos["English"]["Reembolso"] = "";
	$fieldLabelsresumo_movimentos["English"]["AReceber"] = "AReceber";
	$fieldToolTipsresumo_movimentos["English"]["AReceber"] = "";
	$placeHoldersresumo_movimentos["English"]["AReceber"] = "";
	$fieldLabelsresumo_movimentos["English"]["receber"] = "Receber";
	$fieldToolTipsresumo_movimentos["English"]["receber"] = "";
	$placeHoldersresumo_movimentos["English"]["receber"] = "";
	$fieldLabelsresumo_movimentos["English"]["Devedor"] = "Devedor";
	$fieldToolTipsresumo_movimentos["English"]["Devedor"] = "";
	$placeHoldersresumo_movimentos["English"]["Devedor"] = "";
	if (count($fieldToolTipsresumo_movimentos["English"]))
		$tdataresumo_movimentos[".isUseToolTips"] = true;
}


	$tdataresumo_movimentos[".NCSearch"] = true;



$tdataresumo_movimentos[".shortTableName"] = "resumo_movimentos";
$tdataresumo_movimentos[".nSecOptions"] = 0;

$tdataresumo_movimentos[".mainTableOwnerID"] = "";
$tdataresumo_movimentos[".entityType"] = 1;

$tdataresumo_movimentos[".strOriginalTableName"] = "tb_cbanc_movimentos";

	



$tdataresumo_movimentos[".showAddInPopup"] = false;

$tdataresumo_movimentos[".showEditInPopup"] = false;

$tdataresumo_movimentos[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataresumo_movimentos[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataresumo_movimentos[".listAjax"] = false;
//	temporary
$tdataresumo_movimentos[".listAjax"] = false;

	$tdataresumo_movimentos[".audit"] = false;

	$tdataresumo_movimentos[".locking"] = false;


$pages = $tdataresumo_movimentos[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataresumo_movimentos[".edit"] = true;
	$tdataresumo_movimentos[".afterEditAction"] = 0;
	$tdataresumo_movimentos[".closePopupAfterEdit"] = 1;
	$tdataresumo_movimentos[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdataresumo_movimentos[".add"] = true;
$tdataresumo_movimentos[".afterAddAction"] = 0;
$tdataresumo_movimentos[".closePopupAfterAdd"] = 1;
$tdataresumo_movimentos[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdataresumo_movimentos[".list"] = true;
}



$tdataresumo_movimentos[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataresumo_movimentos[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataresumo_movimentos[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataresumo_movimentos[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataresumo_movimentos[".printFriendly"] = true;
}



$tdataresumo_movimentos[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataresumo_movimentos[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataresumo_movimentos[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataresumo_movimentos[".isUseAjaxSuggest"] = true;

$tdataresumo_movimentos[".rowHighlite"] = true;





$tdataresumo_movimentos[".ajaxCodeSnippetAdded"] = false;

$tdataresumo_movimentos[".buttonsAdded"] = false;

$tdataresumo_movimentos[".addPageEvents"] = false;

// use timepicker for search panel
$tdataresumo_movimentos[".isUseTimeForSearch"] = false;


$tdataresumo_movimentos[".badgeColor"] = "DAA520";


$tdataresumo_movimentos[".allSearchFields"] = array();
$tdataresumo_movimentos[".filterFields"] = array();
$tdataresumo_movimentos[".requiredSearchFields"] = array();

$tdataresumo_movimentos[".googleLikeFields"] = array();
$tdataresumo_movimentos[".googleLikeFields"][] = "entradaID";
$tdataresumo_movimentos[".googleLikeFields"][] = "cbancID";
$tdataresumo_movimentos[".googleLikeFields"][] = "tipo_lanc";
$tdataresumo_movimentos[".googleLikeFields"][] = "origem";
$tdataresumo_movimentos[".googleLikeFields"][] = "valor";
$tdataresumo_movimentos[".googleLikeFields"][] = "Reembolso";
$tdataresumo_movimentos[".googleLikeFields"][] = "AReceber";
$tdataresumo_movimentos[".googleLikeFields"][] = "observacao";
$tdataresumo_movimentos[".googleLikeFields"][] = "doc";
$tdataresumo_movimentos[".googleLikeFields"][] = "incluir";
$tdataresumo_movimentos[".googleLikeFields"][] = "data";
$tdataresumo_movimentos[".googleLikeFields"][] = "reembolsar";
$tdataresumo_movimentos[".googleLikeFields"][] = "credor";
$tdataresumo_movimentos[".googleLikeFields"][] = "status_reemb";
$tdataresumo_movimentos[".googleLikeFields"][] = "receber";
$tdataresumo_movimentos[".googleLikeFields"][] = "Devedor";



$tdataresumo_movimentos[".tableType"] = "list";

$tdataresumo_movimentos[".printerPageOrientation"] = 0;
$tdataresumo_movimentos[".nPrinterPageScale"] = 100;

$tdataresumo_movimentos[".nPrinterSplitRecords"] = 40;

$tdataresumo_movimentos[".geocodingEnabled"] = false;










$tdataresumo_movimentos[".pageSize"] = 20;

$tdataresumo_movimentos[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataresumo_movimentos[".strOrderBy"] = $tstrOrderBy;

$tdataresumo_movimentos[".orderindexes"] = array();

$tdataresumo_movimentos[".sqlHead"] = "SELECT entradaID,  cbancID,  tipo_lanc,  origem,  IF(tipo_lanc =\"Débito\", valor *-1, valor) AS valor,  IF(reembolsar=1, valor *-1, 0) AS Reembolso,  IF(receber=1, valor, 0) AS AReceber,  observacao,  doc,  incluir,  `data`,  reembolsar,  credor,  status_reemb,  receber,  Devedor";
$tdataresumo_movimentos[".sqlFrom"] = "FROM tb_cbanc_movimentos";
$tdataresumo_movimentos[".sqlWhereExpr"] = "";
$tdataresumo_movimentos[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataresumo_movimentos[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataresumo_movimentos[".arrGroupsPerPage"] = $arrGPP;

$tdataresumo_movimentos[".highlightSearchResults"] = true;

$tableKeysresumo_movimentos = array();
$tableKeysresumo_movimentos[] = "entradaID";
$tdataresumo_movimentos[".Keys"] = $tableKeysresumo_movimentos;


$tdataresumo_movimentos[".hideMobileList"] = array();




//	entradaID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "entradaID";
	$fdata["GoodName"] = "entradaID";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("Resumo_movimentos","entradaID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "entradaID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "entradaID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_movimentos["entradaID"] = $fdata;
		$tdataresumo_movimentos[".searchableFields"][] = "entradaID";
//	cbancID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "cbancID";
	$fdata["GoodName"] = "cbancID";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("Resumo_movimentos","cbancID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "cbancID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cbancID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_movimentos["cbancID"] = $fdata;
		$tdataresumo_movimentos[".searchableFields"][] = "cbancID";
//	tipo_lanc
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "tipo_lanc";
	$fdata["GoodName"] = "tipo_lanc";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("Resumo_movimentos","tipo_lanc");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "tipo_lanc";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tipo_lanc";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Débito ";
	$edata["LookupValues"][] = "Crédito ";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_movimentos["tipo_lanc"] = $fdata;
		$tdataresumo_movimentos[".searchableFields"][] = "tipo_lanc";
//	origem
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "origem";
	$fdata["GoodName"] = "origem";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("Resumo_movimentos","origem");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "origem";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "origem";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "tb_movimento";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "movID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "movimento";

	

	
	$edata["LookupOrderBy"] = "movimento";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_movimentos["origem"] = $fdata;
		$tdataresumo_movimentos[".searchableFields"][] = "origem";
//	valor
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "valor";
	$fdata["GoodName"] = "valor";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("Resumo_movimentos","valor");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "valor";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "IF(tipo_lanc =\"Débito\", valor *-1, valor)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Currency");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_movimentos["valor"] = $fdata;
		$tdataresumo_movimentos[".searchableFields"][] = "valor";
//	Reembolso
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "Reembolso";
	$fdata["GoodName"] = "Reembolso";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("Resumo_movimentos","Reembolso");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Reembolso";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "IF(reembolsar=1, valor *-1, 0)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_movimentos["Reembolso"] = $fdata;
		$tdataresumo_movimentos[".searchableFields"][] = "Reembolso";
//	AReceber
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "AReceber";
	$fdata["GoodName"] = "AReceber";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("Resumo_movimentos","AReceber");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "AReceber";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "IF(receber=1, valor, 0)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_movimentos["AReceber"] = $fdata;
		$tdataresumo_movimentos[".searchableFields"][] = "AReceber";
//	observacao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "observacao";
	$fdata["GoodName"] = "observacao";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("Resumo_movimentos","observacao");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "observacao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "observacao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_movimentos["observacao"] = $fdata;
		$tdataresumo_movimentos[".searchableFields"][] = "observacao";
//	doc
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "doc";
	$fdata["GoodName"] = "doc";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("Resumo_movimentos","doc");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "doc";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "doc";

	
	
				$fdata["UploadFolder"] = "uploads\\cbanc";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Document Download");

	
	
	
								$vdata["ShowIcon"] = true;
		
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Document upload");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_movimentos["doc"] = $fdata;
		$tdataresumo_movimentos[".searchableFields"][] = "doc";
//	incluir
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "incluir";
	$fdata["GoodName"] = "incluir";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("Resumo_movimentos","incluir");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "incluir";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "incluir";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_movimentos["incluir"] = $fdata;
		$tdataresumo_movimentos[".searchableFields"][] = "incluir";
//	data
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "data";
	$fdata["GoodName"] = "data";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("Resumo_movimentos","data");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "data";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`data`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_movimentos["data"] = $fdata;
		$tdataresumo_movimentos[".searchableFields"][] = "data";
//	reembolsar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "reembolsar";
	$fdata["GoodName"] = "reembolsar";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("Resumo_movimentos","reembolsar");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "reembolsar";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "reembolsar";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_movimentos["reembolsar"] = $fdata;
		$tdataresumo_movimentos[".searchableFields"][] = "reembolsar";
//	credor
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "credor";
	$fdata["GoodName"] = "credor";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("Resumo_movimentos","credor");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "credor";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "credor";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_movimentos["credor"] = $fdata;
		$tdataresumo_movimentos[".searchableFields"][] = "credor";
//	status_reemb
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "status_reemb";
	$fdata["GoodName"] = "status_reemb";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("Resumo_movimentos","status_reemb");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "status_reemb";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "status_reemb";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Pendente";
	$edata["LookupValues"][] = "Quitado";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_movimentos["status_reemb"] = $fdata;
		$tdataresumo_movimentos[".searchableFields"][] = "status_reemb";
//	receber
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "receber";
	$fdata["GoodName"] = "receber";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("Resumo_movimentos","receber");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "receber";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "receber";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_movimentos["receber"] = $fdata;
		$tdataresumo_movimentos[".searchableFields"][] = "receber";
//	Devedor
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "Devedor";
	$fdata["GoodName"] = "Devedor";
	$fdata["ownerTable"] = "tb_cbanc_movimentos";
	$fdata["Label"] = GetFieldLabel("Resumo_movimentos","Devedor");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Devedor";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Devedor";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataresumo_movimentos["Devedor"] = $fdata;
		$tdataresumo_movimentos[".searchableFields"][] = "Devedor";


$tables_data["Resumo_movimentos"]=&$tdataresumo_movimentos;
$field_labels["Resumo_movimentos"] = &$fieldLabelsresumo_movimentos;
$fieldToolTips["Resumo_movimentos"] = &$fieldToolTipsresumo_movimentos;
$placeHolders["Resumo_movimentos"] = &$placeHoldersresumo_movimentos;
$page_titles["Resumo_movimentos"] = &$pageTitlesresumo_movimentos;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["Resumo_movimentos"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["Resumo_movimentos"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_resumo_movimentos()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "entradaID,  cbancID,  tipo_lanc,  origem,  IF(tipo_lanc =\"Débito\", valor *-1, valor) AS valor,  IF(reembolsar=1, valor *-1, 0) AS Reembolso,  IF(receber=1, valor, 0) AS AReceber,  observacao,  doc,  incluir,  `data`,  reembolsar,  credor,  status_reemb,  receber,  Devedor";
$proto0["m_strFrom"] = "FROM tb_cbanc_movimentos";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "entradaID",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "Resumo_movimentos"
));

$proto6["m_sql"] = "entradaID";
$proto6["m_srcTableName"] = "Resumo_movimentos";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "cbancID",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "Resumo_movimentos"
));

$proto8["m_sql"] = "cbancID";
$proto8["m_srcTableName"] = "Resumo_movimentos";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "tipo_lanc",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "Resumo_movimentos"
));

$proto10["m_sql"] = "tipo_lanc";
$proto10["m_srcTableName"] = "Resumo_movimentos";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "origem",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "Resumo_movimentos"
));

$proto12["m_sql"] = "origem";
$proto12["m_srcTableName"] = "Resumo_movimentos";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$proto15=array();
$proto15["m_functiontype"] = "SQLF_CUSTOM";
$proto15["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "tipo_lanc =\"Débito\""
));

$proto15["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "valor *-1"
));

$proto15["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "valor"
));

$proto15["m_arguments"][]=$obj;
$proto15["m_strFunctionName"] = "IF";
$obj = new SQLFunctionCall($proto15);

$proto14["m_sql"] = "IF(tipo_lanc =\"Débito\", valor *-1, valor)";
$proto14["m_srcTableName"] = "Resumo_movimentos";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "valor";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$proto20=array();
$proto20["m_functiontype"] = "SQLF_CUSTOM";
$proto20["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "reembolsar=1"
));

$proto20["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "valor *-1"
));

$proto20["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "0"
));

$proto20["m_arguments"][]=$obj;
$proto20["m_strFunctionName"] = "IF";
$obj = new SQLFunctionCall($proto20);

$proto19["m_sql"] = "IF(reembolsar=1, valor *-1, 0)";
$proto19["m_srcTableName"] = "Resumo_movimentos";
$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "Reembolso";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$proto25=array();
$proto25["m_functiontype"] = "SQLF_CUSTOM";
$proto25["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "receber=1"
));

$proto25["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "valor"
));

$proto25["m_arguments"][]=$obj;
						$obj = new SQLNonParsed(array(
	"m_sql" => "0"
));

$proto25["m_arguments"][]=$obj;
$proto25["m_strFunctionName"] = "IF";
$obj = new SQLFunctionCall($proto25);

$proto24["m_sql"] = "IF(receber=1, valor, 0)";
$proto24["m_srcTableName"] = "Resumo_movimentos";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "AReceber";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto29=array();
			$obj = new SQLField(array(
	"m_strName" => "observacao",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "Resumo_movimentos"
));

$proto29["m_sql"] = "observacao";
$proto29["m_srcTableName"] = "Resumo_movimentos";
$proto29["m_expr"]=$obj;
$proto29["m_alias"] = "";
$obj = new SQLFieldListItem($proto29);

$proto0["m_fieldlist"][]=$obj;
						$proto31=array();
			$obj = new SQLField(array(
	"m_strName" => "doc",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "Resumo_movimentos"
));

$proto31["m_sql"] = "doc";
$proto31["m_srcTableName"] = "Resumo_movimentos";
$proto31["m_expr"]=$obj;
$proto31["m_alias"] = "";
$obj = new SQLFieldListItem($proto31);

$proto0["m_fieldlist"][]=$obj;
						$proto33=array();
			$obj = new SQLField(array(
	"m_strName" => "incluir",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "Resumo_movimentos"
));

$proto33["m_sql"] = "incluir";
$proto33["m_srcTableName"] = "Resumo_movimentos";
$proto33["m_expr"]=$obj;
$proto33["m_alias"] = "";
$obj = new SQLFieldListItem($proto33);

$proto0["m_fieldlist"][]=$obj;
						$proto35=array();
			$obj = new SQLField(array(
	"m_strName" => "data",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "Resumo_movimentos"
));

$proto35["m_sql"] = "`data`";
$proto35["m_srcTableName"] = "Resumo_movimentos";
$proto35["m_expr"]=$obj;
$proto35["m_alias"] = "";
$obj = new SQLFieldListItem($proto35);

$proto0["m_fieldlist"][]=$obj;
						$proto37=array();
			$obj = new SQLField(array(
	"m_strName" => "reembolsar",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "Resumo_movimentos"
));

$proto37["m_sql"] = "reembolsar";
$proto37["m_srcTableName"] = "Resumo_movimentos";
$proto37["m_expr"]=$obj;
$proto37["m_alias"] = "";
$obj = new SQLFieldListItem($proto37);

$proto0["m_fieldlist"][]=$obj;
						$proto39=array();
			$obj = new SQLField(array(
	"m_strName" => "credor",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "Resumo_movimentos"
));

$proto39["m_sql"] = "credor";
$proto39["m_srcTableName"] = "Resumo_movimentos";
$proto39["m_expr"]=$obj;
$proto39["m_alias"] = "";
$obj = new SQLFieldListItem($proto39);

$proto0["m_fieldlist"][]=$obj;
						$proto41=array();
			$obj = new SQLField(array(
	"m_strName" => "status_reemb",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "Resumo_movimentos"
));

$proto41["m_sql"] = "status_reemb";
$proto41["m_srcTableName"] = "Resumo_movimentos";
$proto41["m_expr"]=$obj;
$proto41["m_alias"] = "";
$obj = new SQLFieldListItem($proto41);

$proto0["m_fieldlist"][]=$obj;
						$proto43=array();
			$obj = new SQLField(array(
	"m_strName" => "receber",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "Resumo_movimentos"
));

$proto43["m_sql"] = "receber";
$proto43["m_srcTableName"] = "Resumo_movimentos";
$proto43["m_expr"]=$obj;
$proto43["m_alias"] = "";
$obj = new SQLFieldListItem($proto43);

$proto0["m_fieldlist"][]=$obj;
						$proto45=array();
			$obj = new SQLField(array(
	"m_strName" => "Devedor",
	"m_strTable" => "tb_cbanc_movimentos",
	"m_srcTableName" => "Resumo_movimentos"
));

$proto45["m_sql"] = "Devedor";
$proto45["m_srcTableName"] = "Resumo_movimentos";
$proto45["m_expr"]=$obj;
$proto45["m_alias"] = "";
$obj = new SQLFieldListItem($proto45);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto47=array();
$proto47["m_link"] = "SQLL_MAIN";
			$proto48=array();
$proto48["m_strName"] = "tb_cbanc_movimentos";
$proto48["m_srcTableName"] = "Resumo_movimentos";
$proto48["m_columns"] = array();
$proto48["m_columns"][] = "entradaID";
$proto48["m_columns"][] = "cbancID";
$proto48["m_columns"][] = "tipo_lanc";
$proto48["m_columns"][] = "origem";
$proto48["m_columns"][] = "valor";
$proto48["m_columns"][] = "observacao";
$proto48["m_columns"][] = "doc";
$proto48["m_columns"][] = "incluir";
$proto48["m_columns"][] = "data";
$proto48["m_columns"][] = "reembolsar";
$proto48["m_columns"][] = "credor";
$proto48["m_columns"][] = "status_reemb";
$proto48["m_columns"][] = "receber";
$proto48["m_columns"][] = "Devedor";
$proto48["m_columns"][] = "geradoc";
$proto48["m_columns"][] = "Regdoc";
$proto48["m_columns"][] = "status_receber";
$obj = new SQLTable($proto48);

$proto47["m_table"] = $obj;
$proto47["m_sql"] = "tb_cbanc_movimentos";
$proto47["m_alias"] = "";
$proto47["m_srcTableName"] = "Resumo_movimentos";
$proto49=array();
$proto49["m_sql"] = "";
$proto49["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto49["m_column"]=$obj;
$proto49["m_contained"] = array();
$proto49["m_strCase"] = "";
$proto49["m_havingmode"] = false;
$proto49["m_inBrackets"] = false;
$proto49["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto49);

$proto47["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto47);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="Resumo_movimentos";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_resumo_movimentos = createSqlQuery_resumo_movimentos();


	
		;

																

$tdataresumo_movimentos[".sqlquery"] = $queryData_resumo_movimentos;

$tableEvents["Resumo_movimentos"] = new eventsBase;
$tdataresumo_movimentos[".hasEvents"] = false;

?>